> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domesystems.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Gateway



## OpenAPI

````yaml POST /dome.gateway.v1.GatewayService/DeleteGateway
openapi: 3.0.3
info:
  title: Dome Platform API
  description: Connect and REST APIs for the Dome agent governance platform.
  version: 2.0.0
servers:
  - url: https://api.domesystems.ai
    description: Production
security: []
tags:
  - name: Agents
  - name: Authorization
  - name: Guards
  - name: Tools
  - name: Tool Catalog
  - name: Models
  - name: Model Pools
  - name: Quotas
  - name: Gateways
  - name: Webhooks
  - name: Audit
  - name: Workspaces
  - name: Access Control
  - name: Tenants
  - name: Platform Keys
  - name: Enrollment
  - name: Platform
  - name: Identity
paths:
  /dome.gateway.v1.GatewayService/DeleteGateway:
    post:
      tags:
        - Gateways
      summary: Delete a Gateway
      operationId: GatewayService_DeleteGateway
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeleteGatewayRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteGatewayResponse'
components:
  schemas:
    DeleteGatewayRequest:
      type: object
      properties:
        workspace_id:
          type: string
        gateway_id:
          type: string
    DeleteGatewayResponse:
      type: object
      properties: {}

````